REST APIV2Accounts
Recreate Account Pages
Recreate all pages for an existing account. Useful for refreshing stale content for a given account domain.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
account_domain*string
Response Body
application/json
application/json
curl -X POST "https://api.poggio.io/v2/accounts/string/recreate-pages"{
"message": "string",
"id": "string",
"domain": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create or Get Account
Create a new account for the given domain, or return the existing one. Optionally triggers deep research to enrich the account with comprehensive data. Returns a 201 when an account is created, 200 if the account already exists.
Fetch Context Item
Fetch the full content of a specific item by ID. Returns the item with its title, text, URL, and any associated metadata.